Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Functions
- Variables
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - b -

- b : C_block
- b32 : C_block
- back : st_table_entry
- back_alloc : NameEntry
- back_dynamic : BRefNode
- back_num : BRefNode , NameEntry
- back_ref1 : NameEntry
- back_refs : NameEntry
- back_static : BRefNode
- backp : OnigToken
- backref : OnigToken
- backrefed_mem : ScanEnv
- backtrace : rb_backtrace_struct , rb_debug_inspector_struct
- backtrace_base : rb_backtrace_struct
- backtrace_size : rb_backtrace_struct , rb_debug_inspector_struct
- base : _Node , AnchorNode , big2str_struct , BRefNode , CallNode , CClassNode , ConsAltNode , CtypeNode , EncloseNode , OnigToken , QtfrNode , rb_encoding_entry , rb_printf_buffer_extra , StrNode
- base_block : rb_thread_struct
- base_enc : search_path_bfs_t
- base_encoding : nkf_encoding
- base_label : rb_iseq_location_struct
- basic : RArray , RBignum , RClass , RComplex , RData , RFile , RFloat , RHash , RMatch , RObject , RRational , RRegexp , RString , RStruct , RTypedData , RVALUE
- bbuffer : RMD160_CTX
- before_sweep : heap_page
- beg : OnigCaptureTreeNodeStruct , re_registers , rmatch_offset
- begin : ensure_range
- behavior : OnigSyntaxType
- best_indent : yaml_emitter_s
- best_len : OnigMatchArg
- best_s : OnigMatchArg
- best_width : yaml_emitter_s
- big : st_table
- bignum : RVALUE
- binmode : argf
- bins : st_table
- bitcount : _SHA256_CTX , _SHA512_CTX
- bits : DIR
- blkno : DBM
- blkptr : DBM
- block : rb_env_t , rb_proc_t
- block_allowed : yaml_emitter_s
- block_arg : rb_args_info
- block_iseq : rb_control_frame_struct
- block_len : rb_digest_metadata_t
- block_plain_allowed : yaml_emitter_s
- block_trace : global_variable
- blocking_region_buffer : rb_thread_struct
- blockiseq : rb_call_info_struct
- blockprocval : rb_binding_t , rb_proc_t
- blockptr : rb_call_info_struct
- body : heap_page , rb_backtrace_location_struct , rb_method_definition_struct
- bref : _Node
- broken_buf : nkf_state_t
- broken_state : nkf_state_t
- bs : CClassNode
- bt : bt_iter_arg
- bt_mem_end : re_pattern_buffer , ScanEnv
- bt_mem_start : re_pattern_buffer , ScanEnv
- btobj : bt_iter_arg , valued_frame_info
- buf : input_code , io_internal_read_struct , io_internal_write_struct , load_arg , PepperInstance , rb_vm_tag , recvfrom_arg , sip_state , sort_by_data , StrNode , zstream
- buf_filled : zstream
- buff : iseq_compile_data_storage
- buffer : _SHA256_CTX , _SHA512_CTX , md5_state_s , SHA1_CTX , yaml_emitter_s , yaml_parser_s
- buffer_initial_length : JSON_Generator_StateStruct
- buflen : load_arg , RMD160_CTX , sip_state
- by_name : OnigToken
- byte_array : rb_transcoder
- byte_array_length : rb_transcoder
- byte_len : OnigCaseFoldCodeItem
- byte_pos : pair_t
- bytesequence : bytesequence4_or_float